Imports Microsoft.VisualBasic
Imports System.Collections.Generic
Imports System.Windows
Imports System.Xml.Linq
Imports System.Linq


Namespace Samples
	Public Class ManifestHelper
		Public Shared Function GetDeploymentParts(ByVal manifest As String) As List(Of AssemblyPart)
			Dim deploymentRoot As XElement = XDocument.Parse(manifest).Root


			Dim parts As List(Of AssemblyPart) = ( _
					From n In deploymentRoot.Descendants().Elements() _
					Select New AssemblyPart() With {.Source = n.Attribute("Source").Value}).ToList()

			Return parts
		End Function
	End Class
End Namespace
